Package org.eclipse.emf.cdo.server.spi.security

## Class SecurityManagerFactory.Default

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory
    - - org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory.Default

- All Implemented Interfaces:
    `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`, `org.eclipse.net4j.util.factory.IFactory`
  Enclosing class:
    SecurityManagerFactory

      public static class SecurityManagerFactory.Default
      extends SecurityManagerFactory
      implements org.eclipse.net4j.util.container.IManagedContainer.ContainerAware

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

      `SecurityManagerFactory.Annotation, SecurityManagerFactory.Default`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TYPE` |

    - ### Fields inherited from class org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Default()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ISecurityManager` | `create​(java.lang.String description)` |
    `static ISecurityManager` | `create​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String repositoryName, java.lang.String description)` |
    `protected InternalSecurityManager.CommitHandler` | `getHandler​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String token)` |
    `void` | `setManagedContainer​(org.eclipse.net4j.util.container.IManagedContainer container)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      Since:
        4.3
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Default

          public Default()

  - ### Method Detail

    - #### setManagedContainer

          public void setManagedContainer​(org.eclipse.net4j.util.container.IManagedContainer container)

      Specified by:
        `setManagedContainer` in interface `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`
      Since:
        4.3

    - #### create

          public ISecurityManager create​(java.lang.String description)
                                  throws org.eclipse.net4j.util.factory.ProductCreationException

      Specified by:
        `create` in interface `org.eclipse.net4j.util.factory.IFactory`
      Specified by:
        `create` in class `SecurityManagerFactory`
      Throws:
        `org.eclipse.net4j.util.factory.ProductCreationException`

    - #### getHandler

          protected InternalSecurityManager.CommitHandler getHandler​(org.eclipse.net4j.util.container.IManagedContainer container,
                                                                     java.lang.String token)

      Since:
        4.3

    - #### create

          public static ISecurityManager create​(org.eclipse.net4j.util.container.IManagedContainer container,
                                                java.lang.String repositoryName,
                                                java.lang.String description)

      Since:
        4.8